#![deny(rust_2018_idioms)]

pub mod builder;
pub mod elements;
pub mod guihandler;
pub mod keyboard;
pub mod states;
pub mod tab_control;

pub mod prelude;

pub type CustomCallback<I, O> = dyn Fn(I) -> anyhow::Result<O> + Send + Sync;
